Bug 73656 - nfs unreliable on 2.4.18-14
nfs unreliable on 2.4.18-14
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-07 17:08 EDT by Gordon Messmer
Modified: 2007-04-18 12:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-18 18:08:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output from machine in question (7.75 KB, text/plain)
2002-09-07 17:09 EDT, Gordon Messmer
no flags Details
output of lspci -vn (2.08 KB, text/plain)
2002-09-20 23:46 EDT, Gordon Messmer
no flags Details
output of "lspci -vn" on my system with no NFS problems under 2.4.18-14 (2.76 KB, text/plain)
2002-09-21 04:38 EDT, Barry K. Nathan
no flags Details

  None (edit)
Description Gordon Messmer 2002-09-07 17:08:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
After updating to kernel 2.4.18-14, athlon arch, on an NFS client, NFS became
unreliable.

I was playing ogg files, and recording a CD to ogg format using grip, when it
told me that "access was denied writing mp3 file".  I looked at the tracks that
had been recorded, and noticed that 1, 2, and 3 were complete.  5 was being
written.  None of the disks were anywhere near full.

I looked at the output of 'dmesg', and saw this repeated:
RPC: sendmsg returned error 101                                                
                           nfs: RPC call returned error 101

I've gone back to kernel 2.4.18-12.5, and don't see the issue any longer.

The output of dmesg before I shut down 2.4.18-14 will follow as an attachment.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try
Comment 1 Gordon Messmer 2002-09-07 17:09:29 EDT
Created attachment 75427 [details]
dmesg output from machine in question
Comment 2 Barry K. Nathan 2002-09-10 05:34:47 EDT
FWIW, I haven't seen this problem (between 2.4.18-14 client and 2.4.19-rc5aa1
server, NFS v3, TCP or UDP).
Comment 3 Arjan van de Ven 2002-09-10 05:37:02 EDT
there are no NFS changes between -12.5 and -14.... :(
Comment 4 Warren Togami 2002-09-20 07:11:50 EDT
This is a long shot... but perhaps this may be remotely related to Bug 74315
where -14 crashes and -12.5 is 100% stable on my Athlon laptop.  Perhaps
(certain) Athlon related?

yinyang, could you please post your "lspci -vn".

barryn, what is your arch?  Could you please post your "lspci -vn" too?
Comment 5 Gordon Messmer 2002-09-20 23:45:24 EDT
Warren~  Your experience certainly isn't mine.  -12.5 was awful.  Every time I
boot it up, it runs for a couple of hours, and then programs start segfaulting
when they exit.  -14 seems to be doing just random corruption things.  This
morning, I booted the system and it reported that the root filesystem contained
errors (and forced fsck).

I haven't run memtest86 yet (again, that is, the system was good a year ago). 
The system was totally stable prior to the installation of Limbo.
Comment 6 Gordon Messmer 2002-09-20 23:46:13 EDT
Created attachment 76764 [details]
output of lspci -vn
Comment 7 Barry K. Nathan 2002-09-21 02:47:21 EDT
Arch for me is i686 (750MHz mobile PIII that has SpeedStep). I'll post lspci
output if I get a chance.
Comment 8 Barry K. Nathan 2002-09-21 02:51:19 EDT
Warren, yinyang: Have either of you tried an iX86 (like i686) kernel instead of
an Athlon kernel, and does that make a difference?
Comment 9 Barry K. Nathan 2002-09-21 04:38:19 EDT
Created attachment 76784 [details]
output of "lspci -vn" on my system with no NFS problems under 2.4.18-14
Comment 10 Jeff Epler 2003-06-17 16:06:28 EDT
Are you using dhcp to assign the nfs client's IP address?  This could be related
to bug 90174 which in my case can cause processes that frequently access NFS
files to fail
Comment 11 Gordon Messmer 2003-06-24 21:22:15 EDT
I am indeed using dhcp on the NFS client.  I'll try to "tail -f" a file until
the lease expires and see if it dies at that time.
Comment 12 Barry K. Nathan 2004-07-14 10:27:18 EDT
yinyang, are you still experiencing this problem with a supported
release (i.e. Red Hat Enterprise Linux or Fedora Core)? If so, you
should update the Product and Version of this bug. If not, this bug
should be closed because Red Hat 8.0 has reached end-of-life.
Comment 13 Gordon Messmer 2004-07-18 18:07:26 EDT
I don't believe I've seen this problem anytime recently.

Note You need to log in before you can comment on or make changes to this bug.